import { DigiNgFormInputModule } from '@af/digi-ng/_form/form-input';
import { DigiNgFormTextareaModule } from '@af/digi-ng/_form/form-textarea';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ReactiveFormsModule } from '@angular/forms';

import { EmployeeInviteComponent } from './employee-invite.component';

describe('EmployeeInviteComponent', () => {
  let component: EmployeeInviteComponent;
  let fixture: ComponentFixture<EmployeeInviteComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [EmployeeInviteComponent],
      imports: [ReactiveFormsModule, DigiNgFormInputModule, DigiNgFormTextareaModule, HttpClientTestingModule],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(EmployeeInviteComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
